classification
Title: Get rid of cyclic GC hack in sqlite3.Connection and sqlite3.Cache
Type: resource usage Stage: resolved
Components: Library (Lib) Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, erlendaasland, miss-islington, vstinner
Priority: normal Keywords: patch

Created on 2020-10-30 21:44 by erlendaasland, last changed 2021-06-07 21:30 by erlendaasland. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 23046 closed erlendaasland, 2020-10-30 21:49
PR 26462 closed erlendaasland, 2021-05-31 09:22
PR 26512 merged erlendaasland, 2021-06-03 11:32
PR 26517 merged erlendaasland, 2021-06-03 16:07
Messages (5)
msg379998 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2020-10-30 21:44
Get rid of the `pysqlite_Cache->decref_factory` hack by implementing proper support for cyclic garbage collection.
msg395009 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-06-03 15:53
New changeset 82ad22a97d4b5d7134424f12bd6a61167db7f4f8 by Erlend Egeberg Aasland in branch 'main':
bpo-42213: Check connection in sqlite3.Connection.__enter__ (GH-26512)
https://github.com/python/cpython/commit/82ad22a97d4b5d7134424f12bd6a61167db7f4f8
msg395016 - (view) Author: miss-islington (miss-islington) Date: 2021-06-03 16:38
New changeset d88b47b5a396aa8d66f9a0e6b13a0825d59d0eff by Erlend Egeberg Aasland in branch 'main':
bpo-42213: Remove redundant cyclic GC hack in sqlite3 (GH-26517)
https://github.com/python/cpython/commit/d88b47b5a396aa8d66f9a0e6b13a0825d59d0eff
msg395288 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-06-07 21:06
I like the new code, thanks for these enhancements Erlend ;-)
msg395289 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2021-06-07 21:30
Thanks, Victor :)
History
Date User Action Args
2021-06-07 21:30:06erlendaaslandsetmessages: + msg395289
2021-06-07 21:06:01vstinnersetmessages: + msg395288
2021-06-04 19:58:08erlendaaslandsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-06-03 16:38:28miss-islingtonsetnosy: + miss-islington
messages: + msg395016
2021-06-03 16:07:39erlendaaslandsetpull_requests: + pull_request25112
2021-06-03 15:53:55vstinnersetnosy: + vstinner
messages: + msg395009
2021-06-03 11:32:05erlendaaslandsetpull_requests: + pull_request25108
2021-05-31 09:22:44erlendaaslandsetpull_requests: + pull_request25057
2020-10-30 21:49:28erlendaaslandsetkeywords: + patch
stage: patch review
pull_requests: + pull_request21965
2020-10-30 21:44:11erlendaaslandcreate